LibreOffice: XFilePicker2 Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFilePicker2 Interface Referencepublished

extends file picker interface to workaround some design problems. More...

`import <XFilePicker2.idl;`

Inheritance diagram for XFilePicker2:

## Public Member Functions
sequence< string > | getSelectedFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738.
Public Member Functions inherited from XFilePicker
void | setMultiSelectionMode ([in] boolean bMode)
| Enable/disable multi-selection mode.
void | setDefaultName ([in] string aName)
| Sets the default string that appears in the file name box of a FilePicker.
void | setDisplayDirectory ([in] string aDirectory) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the directory that the file dialog initially displays.
string | getDisplayDirectory ()
| Returns the directory that the file dialog is currently showing or was last showing before closing the dialog with Ok.
sequence< string > | getFiles ()
| Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738.
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog.
short | execute ()
| Executes (shows) the dialog.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

extends file picker interface to workaround some design problems.

## Member Function Documentation

## ◆ getSelectedFiles()

sequence< string > getSelectedFiles | ( |  | ) |

Returns a sequence of the selected files including path information in URL format, conforming to Rfc1738.

If the user closed the dialog with cancel an empty sequence will be returned.

If the user closed the dialog with OK a list of all selected files will be returned.

Attention

Instead to the method getFiles() of base interface XFilePicker the new method return full qualified URLs for every selected file.

Returns

A list of all selected file as complete URLs.

Notes for the implementation of a FileSave dialog:If there exists a checkbox "Automatic File Extension" which is checked and a valid filter is currently selected the dialog may automatically add an extension to the selected file name(s).

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFilePicker2.idl